{%- extends "_layout.html" %}

{%- block content %}

            <div class="row">
                <div class="col-lg-12">

    {%- if item_action == 'update' %}
                    {{ macros_page.render_breadcrumbs(item) }}
    {%- elif item_action == 'createfor' %}
                    {{ macros_page.render_breadcrumbs(parent) }}
    {%- else %}
                    {{ macros_page.render_breadcrumbs() }}
    {%- endif %}

                    <hr>

                    <div class="well col-md-6 col-md-offset-3">

                        <form method="POST" action="{{ form_url }}" id="form-{{ item_type }}-{{ item_action }}">
                            <fieldset>
                                <legend>{{ vial_current_view.get_view_title() }}</legend>

                                {%- block itemform_fields %}{% endblock itemform_fields %}

                                <hr>

                                {{ macros_form.render_form_errors(form.next.errors) }}
                                {{ form.next }}
                                {%- if 'csrf_token' in form %}
                                {{ macros_form.render_form_errors(form.csrf_token.errors) }}
                                {{ form.csrf_token }}
                                {%- endif %}

                                <div class="btn-toolbar" role="toolbar" aria-label="{{ _('Form submission buttons') }}">
                                    <div class="btn-group" role="group">
    {%- block itemform_buttons %}
                                        {{ form.cancel(class_='btn btn-default') }}
                                        {{ form.submit(class_='btn btn-primary') }}
    {% endblock itemform_buttons %}
                                    </div>
                                </div>

                            <fieldset>
                        </form>

                    </div> <!-- /.well -->

                </div> <!-- /.col-lg-12 -->
            </div> <!-- /.row -->

    {%- block itemform_after %}{%- endblock itemform_after %}

    {%- if permission_can('developer') %}

        {%- if form.errors %}

            <hr>

{{ macros_site.render_raw_var('form-errors', form.errors) }}

        {%- endif %}
        {%- if item %}

            <hr>

{{ macros_site.render_raw_item_view(item) }}

        {%- endif %}
        {%- block itemform_devel %}{%- endblock itemform_devel %}

    {%- endif %}

{%- endblock content %}
